Index: etc/Makefile
===================================================================
RCS file: /cvs/src/etc/Makefile,v
retrieving revision 1.44
diff -u -u -r1.44 Makefile
--- etc/Makefile	14 Jan 2005 03:13:51 -0000	1.44
+++ etc/Makefile	13 Feb 2005 16:27:24 -0000
@@ -13,7 +13,7 @@
 	protocols \
 	rc rc.firewall rc.firewall6 \
 	rc.sendmail rc.shutdown \
-	rc.subr rpc services \
+	rc.subr rpc services sudoers \
 	etc.${MACHINE_ARCH}/disktab \
 	${.CURDIR}/../usr.bin/mail/misc/mail.rc \
 	${.CURDIR}/../usr.bin/locate/locate/locate.rc
Index: usr.bin/Makefile
===================================================================
RCS file: /cvs/src/usr.bin/Makefile,v
retrieving revision 1.26
diff -u -u -r1.26 Makefile
--- usr.bin/Makefile	23 Jan 2005 13:06:13 -0000	1.26
+++ usr.bin/Makefile	13 Feb 2005 16:24:29 -0000
@@ -161,6 +161,7 @@
 	split \
 	stat \
 	su \
+	sudo \
 	symorder \
 	systat \
 	tabs \
Index: usr.bin/sudo/Makefile
===================================================================
RCS file: usr.bin/sudo/Makefile
diff -N usr.bin/sudo/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ usr.bin/sudo/Makefile	13 Feb 2005 15:38:15 -0000
@@ -0,0 +1,5 @@
+# $DragonFly$
+
+SUBDIR= sudo visudo
+
+.include <bsd.subdir.mk>
Index: usr.bin/sudo/Makefile.inc
===================================================================
RCS file: usr.bin/sudo/Makefile.inc
diff -N usr.bin/sudo/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ usr.bin/sudo/Makefile.inc	13 Feb 2005 16:01:09 -0000
@@ -0,0 +1,15 @@
+# $DragonFly$
+
+SUDOVER=1.6.8p7
+SRCDIR=	${.CURDIR}/../../../contrib/sudo-${SUDOVER}
+
+.PATH:	${SRCDIR}
+.PATH:  ${SRCDIR}/auth
+
+CFLAGS+=-I${.CURDIR}/../ -I${SRCDIR} \
+	-D_PATH_SUDOERS=\"/etc/sudoers\" -DSUDOERS_UID=0 -DSUDOERS_GID=0 \
+	-DSUDOERS_MODE=0440 -D_PATH_SUDOERS_TMP=\"/etc/sudoers.tmp\"
+
+WARNS?=	0
+
+.include "../Makefile.inc"
Index: usr.bin/sudo/sudo/Makefile
===================================================================
RCS file: usr.bin/sudo/sudo/Makefile
diff -N usr.bin/sudo/sudo/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ usr.bin/sudo/sudo/Makefile	13 Feb 2005 16:57:56 -0000
@@ -0,0 +1,17 @@
+# $DragonFly$
+
+.include "../Makefile.inc"
+
+PROG=   sudo
+BINMODE=4555
+LINKS=	${BINDIR}/sudo ${BINDIR}/sudoedit
+SRCS=	check.c env.c getspwuid.c gettime.c goodpath.c fileops.c find_path.c \
+	interfaces.c logging.c parse.c set_perms.c sudo.c sudo_edit.c \
+	tgetpass.c sudo.tab.c lex.yy.c alloc.c defaults.c closefrom.c \
+	zero_bytes.c sudo_auth.c passwd.c rfc1938.c
+
+LDADD=	-lcrypt -lcompat -lskey -lutil 
+
+MAN=	sudo.8 sudoers.5
+
+.include <bsd.prog.mk>
Index: usr.bin/sudo/visudo/Makefile
===================================================================
RCS file: usr.bin/sudo/visudo/Makefile
diff -N usr.bin/sudo/visudo/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ usr.bin/sudo/visudo/Makefile	13 Feb 2005 16:12:22 -0000
@@ -0,0 +1,15 @@
+# $DragonFly$
+
+.include "../Makefile.inc"
+
+BINDIR=	/usr/sbin
+
+PROG=   visudo
+SRCS=	visudo.c fileops.c gettime.c goodpath.c find_path.c sudo.tab.c lex.yy.c \
+	alloc.c defaults.c closefrom.c
+LDADD=	-lcompat
+
+MAN=	visudo.8
+
+.include <bsd.prog.mk>
+
